# Registration_3D_2D Namespace Reference

## Functions
def | segment3DMarkers
| Picks up image thresholds and ROI from the viewer and segments the centerline of the 3D DSA vessels.
def | showMPRview
| Shows an MPR view of the 3D image and segmented vessel tree additional landmarks can be added by placing markers.
def | reviewDSAframes
| Displays the projection of the segmented 3D centerline and lets the user select a frame for the 2D segmentation.
def | selectDSAframe
| select DSA Frame
def | setSingleDSAframe
| Set up the data flow by setting the single frame the user set up in select DSA frame.
def | turnROIon
| turn on ROI
def | turnROIoff
| turn off ROI
def | changeDisplay
| change the display
def | segment2DMarkers
| segment 2D markers
def | automaticRegistration
| automatic registration
def | startRegistration
| start the registration
def | InteractiveRegistration
| An interactive registration tab.
def | saveOnRegManual
| We have selected the interactive registration tab.
def | approveOnRegManual
| trigger the parent callback function when "approve and save" button is clicked
def | cancelonRegManual
| trigger the parent callback function when "cancel" button is clicked
def | helponRegManual
| show help when "help" button is clicked
## Variables
int | currentFrame = 0
| Current Frame global variable.

## Detailed Description

    * Copyright (c) 2009 Stanford University, School of Medicine All rights reserved.
    *
    * STANFORD ACADEMIC SOFTWARE LICENSE AGREEMENT
    * FOR AngioLocalize SOURCE CODE:
    *
    * 1.  This is a legal agreement between you, RECIPIENT, and STANFORD UNIVERSITY.
    *       By accepting, receiving, and using AngioLocalize.including any accompanying information, materials or
    *       manuals (Program), you are agreeing to be bound by the terms of this Agreement.
    *       If you do not agree to the terms of this Agreement, promptly return the Program to the STANFORD.

    * 2.  STANFORD grants to RECIPIENT a royalty-free, nonexclusive, and nontransferable license to use the Program
    *       and accompanying source code furnished hereunder, upon the terms and conditions set out below.
    *       documentation and/or other materials provided with the distribution.
    * 3.  RECIPIENT acknowledges that the Program is a research tool still in the development stage and that
    *       it is being supplied as is, without any accompanying services, support or improvements from STANFORD.
    * 4.  RECIPIENT agrees to use the Program solely for internal non-commercial purposes.
    * 5.  RECIPIENT may create derivatives and further transfer the Program under the following terms and conditions:
    *        A) Recipient agrees to not commercially exploit the Program and agrees all uses will be for non-commercial purposes; and,
    *        B) Recipient may not mark any derivatives with the title of Program and may not to use iPad mark for any derivatives; and,
    *        C) Recipient agrees to mark and acknowledge all derivatives as follows: "This is a derivative work based on AngioLocalize:
    *           Frameless AVM localization with 2D Digital Subtraction Angiography (DSA) and 3D Rotational Angiography (DRA) Images developed
    *           by Dimitre Hristov, Lina Liu.
    *        D) Recipient agrees to make all improvements, enhancements and derivatives available under
    *           similar terms and conditions to the research community.
    * 6.   RECIPIENT warrants that RECIPIENT will not remove or export any part of the software or Program from the United
    *       States except in full compliance with all United States and other applicable laws and regulations.
    * 7.  RECIPIENT will use the Program in compliance with all applicable laws, policies and regulations including, but not
    *       limited to, any approvals, informed consent and patient confidentiality principles.
    * 8.   RECIPIENT will indemnify, hold harmless, and defend Stanford against any claim of any kind arising out of or
    *       related to the exercise of any rights granted under this Agreement or the breach of this Agreement by RECIPIENT.
    * 9.  Title and copyright to the Program and any associated documentation shall at all times remain with STANFORD,
    *       and RECIPIENT agrees to preserve same.

## Function Documentation

def Registration_3D_2D::saveOnRegManual | ( |  | ) |

We have selected the interactive registration tab.

trigger the parent callback function when "save" button is clicked.

Definition at line 187 of file Registration_3D_2D.py.

All Classes Namespaces Files Functions Variables Enumerator Friends